protocols / AbstractStateReplacementProtocol / Handshake

# Handshake

`class Handshake : AbstractRequestMessage`

### Constructors

<init> | `Handshake(sessionIdForSend: Long, replyTo: Party, sessionID: Long)`

### Properties

sessionID | `val sessionID: Long`
sessionIdForSend | `val sessionIdForSend: Long`

### Inherited Properties

replyToParty | `val replyToParty: Party`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`